	DECLARE	@DOCTYPEID	UD_DOCTYPEID
	DECLARE	@DESCR		UD_DESCRIPCION
	DECLARE @NBRDOCUMENT	UD_CORRELATIVOS
	DECLARE @SITEID		UD_IDSITE
	DECLARE	@NAME		UD_DESCRIPCION
	DECLARE @DATEDOC	UD_FECHA
	DECLARE	@DATEPROCESALES	UD_FECHA
	DEClARE	@TAXREGNBR	UD_CODCLIENT
	DECLARE	@CUSTNAME	UD_NOMBRE
	DECLARE	@VAL_AFEC	UD_MONTO
	DECLARE	@VAL_NAFEC	UD_MONTO
	DECLARE	@VAL_IGV	UD_MONTO
	DECLARE	@TOTAL		UD_MONTO
	DECLARE	@SALESPOINT	UD_PTOVTA
	DECLARE	@SERIALNUMBER	CHAR(10)

	DECLARE REG_VENTAS CURSOR

	FOR SELECT 	DOCTYPEID,DESCR,NBRDOCUMENT,SITEID,NAME,DATEDOC,DATEPROCESALES,TAXREGNBR,
            		CUSTNAME,VAL_AFEC,VAL_NAFEC,VAL_IGV,TOTAL,SALESPOINT,SERIALNUMBER  FROM #TEMPORAL

	OPEN REG_VENTAS
	FETCH NEXT FROM REG_VENTAS INTO @DOCTYPEID,@DESCR,@NBRDOCUMENT,@SITEID,@NAME,@DATEDOC,@DATEPROCESALES,@TAXREGNBR,
		            		@CUSTNAME,@VAL_AFEC,@VAL_NAFEC,@VAL_IGV,@TOTAL,@SALESPOINT,@SERIALNUMBER

	WHILE @@FETCH_STATUS=0
        BEGIN    
		
		-- PROCESO

		FETCH NEXT FROM REG_VENTAS INTO @DOCTYPEID,@DESCR,@NBRDOCUMENT,@SITEID,@NAME,@DATEDOC,@DATEPROCESALES,@TAXREGNBR,
		            			@CUSTNAME,@VAL_AFEC,@VAL_NAFEC,@VAL_IGV,@TOTAL,@SALESPOINT,@SERIALNUMBER
        
        END /* Termina while */

	CLOSE REG_VENTAS
	DEALLOCATE REG_VENTAS